Source: mailman-suite
Section: web
Priority: optional
Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
           Jonas Meurer <jonas@freesources.org>
Build-Depends: debhelper-compat (= 12),
               po-debconf
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.1
Homepage: https://gitlab.com/mailman/mailman-suite
Vcs-Browser: https://salsa.debian.org/mailman-team/mailman-suite
Vcs-Git: https://salsa.debian.org/mailman-team/mailman-suite.git

Package: mailman3-web
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: dbconfig-sqlite3 | dbconfig-pgsql | dbconfig-mysql | dbconfig-no-thanks,
         lsb-base,
         python3,
         python3-django-hyperkitty (>= 1.2.2-2~),
         python3-django-postorius,
         python3-psycopg2 | python3-mysqldb,
         python3-whoosh,
         ucf,
         uwsgi-core,
         uwsgi-plugin-python3,
         ${misc:Depends}
Recommends: libapache2-mod-proxy-uwsgi | nginx
Suggests: postgresql | default-mysql-server | virtual-mysql-server
Description: Django project integrating Mailman3 Postorius and HyperKitty
 This django web application provides the Mailman3 Postorius web interface
 and the HyperKitty mailinglist archiver integrated into one project.
 .
 The package automates most of the necessary configuration for the Django
 project (database setup, webserver configuration, secret and API key
 generation, Django project configuration) to get a ready-to-use Mailman3
 web suite.
 .
 The Mailman3 Django project runs as uWSGI daemon and optionally a webserver
 is configured as reverse proxy. In this case, the service can be accessed
 at '/mailman3'.
 .
 Default database backend is SQLite3 in order to not break automated
 installations. For productive setups, PostgreSQL or MySQL are much better
 options though. See README.Debian for further information.
